## coala 0.1.0

=== DESCRIPTION ===
Package: coala
Version: 0.1.0
Date: 2015-07-14
License: MIT + file LICENSE
Title: A Framework for Coalescent Simulation
Authors@R: c(
    person('Paul', 'Staab', , 'develop@paulstaab.de', role=c('aut', 'cre', 'cph')),
    person('Dirk', 'Metzler', role=c('ths'))
    )
BugReports: https://github.com/statgenlmu/coala/issues
URL: https://github.com/statgenlmu/coala
Description: Coalescent simulators can rapidly simulate biological sequences
    evolving according to a given model of evolution.
    This package allows to specify such models, transparently calls a suitable
    simulator, parses the results and calculates additional summary statistics.
    It supports the simulators 'ms', 'msms' and 'scrm' and can simulate
    finite-sites mutation models by combining the simulators with the program
    'seq-gen'.
Depends: R (>= 3.1.0)
Imports: assertthat (>= 0.1), methods, R6 (>= 2.0.1), Rcpp (>= 0.11.0),
        rehh (>= 1.11), scrm (>= 1.6.0-2), stats, utils
Suggests: abc (>= 2.0), knitr, rmarkdown, testthat (>= 0.10.0)
LinkingTo: Rcpp, RcppArmadillo (>= 0.3.810.0)
VignetteBuilder: knitr
Collate: 'RcppExports.R' 'cache.R' 'coala.R' 'feature.R'
        'feature_growth.R' 'feature_migration.R' 'feature_mutation.R'
        'feature_outgroup.R' 'feature_pop_merge.R'
        'feature_recombination.R' 'feature_sample.R'
        'feature_selection.R' 'feature_size_change.R'
        'feature_sumstats.R' 'feature_unphased.R' 'locus.R' 'model.R'
        'model_build.R' 'model_check.R' 'model_examples.R'
        'model_getters.R' 'model_print.R' 'model_scale.R'
        'model_simulate.R' 'onLoad.R' 'par_zero_inflation.R'
        'parameter.R' 'parameter_prior.R' 'parameter_variation.R'
        'sample_seed.R' 'search_executable.R' 'simulator_class.R'
        'simulator_ms.R' 'simulator_msms.R' 'simulator_scrm.R'
        'simulator_seqgen.R' 'sumstat.R' 'sumstat_dna.R'
        'sumstat_file.R' 'sumstat_four_gamete.R' 'sumstat_ihh.R'
        'sumstat_jsfs.R' 'sumstat_nsl.R' 'sumstat_nucleotide_div.R'
        'sumstat_omegaprime.R' 'sumstat_seg_sites.R' 'sumstat_sfs.R'
        'sumstat_tajimas_d.R' 'sumstat_trees.R' 'tempfile.R'
NeedsCompilation: yes
Packaged: 2015-07-14 11:26:34 UTC; paul
Author: Paul Staab [aut, cre, cph],
  Dirk Metzler [ths]
Maintainer: Paul Staab <develop@paulstaab.de>
Repository: CRAN
Date/Publication: 2015-07-14 20:40:28

## coala 0.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: coala
-Version: 0.1.0
-Date: 2015-07-14
+Version: 0.1.1
+Date: 2015-07-17
 License: MIT + file LICENSE
 Title: A Framework for Coalescent Simulation
 Authors@R: c(
@@ -40,9 +40,9 @@
         'sumstat_omegaprime.R' 'sumstat_seg_sites.R' 'sumstat_sfs.R'
         'sumstat_tajimas_d.R' 'sumstat_trees.R' 'tempfile.R'
 NeedsCompilation: yes
-Packaged: 2015-07-14 11:26:34 UTC; paul
+Packaged: 2015-07-17 08:20:36 UTC; paul
 Author: Paul Staab [aut, cre, cph],
   Dirk Metzler [ths]
 Maintainer: Paul Staab <develop@paulstaab.de>
 Repository: CRAN
-Date/Publication: 2015-07-14 20:40:28
+Date/Publication: 2015-07-17 12:44:37

## coala 0.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: coala
-Version: 0.1.1
-Date: 2015-07-17
+Version: 0.2.0
+Date: 2015-11-11
 License: MIT + file LICENSE
 Title: A Framework for Coalescent Simulation
 Authors@R: c(
@@ -17,8 +17,8 @@
     finite-sites mutation models by combining the simulators with the program
     'seq-gen'.
 Depends: R (>= 3.1.0)
-Imports: assertthat (>= 0.1), methods, R6 (>= 2.0.1), Rcpp (>= 0.11.0),
-        rehh (>= 1.11), scrm (>= 1.6.0-2), stats, utils
+Imports: assertthat (>= 0.1), methods, parallel, R6 (>= 2.0.1), Rcpp
+        (>= 0.11.0), rehh (>= 1.11), scrm (>= 1.6.0-2), stats, utils
 Suggests: abc (>= 2.0), knitr, rmarkdown, testthat (>= 0.10.0)
 LinkingTo: Rcpp, RcppArmadillo (>= 0.3.810.0)
 VignetteBuilder: knitr
@@ -32,17 +32,19 @@
         'model_getters.R' 'model_print.R' 'model_scale.R'
         'model_simulate.R' 'onLoad.R' 'par_zero_inflation.R'
         'parameter.R' 'parameter_prior.R' 'parameter_variation.R'
-        'sample_seed.R' 'search_executable.R' 'simulator_class.R'
-        'simulator_ms.R' 'simulator_msms.R' 'simulator_scrm.R'
-        'simulator_seqgen.R' 'sumstat.R' 'sumstat_dna.R'
-        'sumstat_file.R' 'sumstat_four_gamete.R' 'sumstat_ihh.R'
-        'sumstat_jsfs.R' 'sumstat_nsl.R' 'sumstat_nucleotide_div.R'
-        'sumstat_omegaprime.R' 'sumstat_seg_sites.R' 'sumstat_sfs.R'
-        'sumstat_tajimas_d.R' 'sumstat_trees.R' 'tempfile.R'
+        'sample_seed.R' 'search_executable.R' 'segsites.R'
+        'simulator_class.R' 'simulator_ms.R' 'simulator_msms.R'
+        'simulator_scrm.R' 'simulator_seqgen.R' 'sumstat.R'
+        'sumstat_dna.R' 'sumstat_file.R' 'sumstat_four_gamete.R'
+        'sumstat_ihh.R' 'sumstat_jsfs.R' 'sumstat_mcmf.R'
+        'sumstat_nucleotide_div.R' 'sumstat_omega.R'
+        'sumstat_seg_sites.R' 'sumstat_sfs.R' 'sumstat_tajimas_d.R'
+        'sumstat_trees.R' 'tempfile.R'
+RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2015-07-17 08:20:36 UTC; paul
+Packaged: 2015-11-11 11:26:58 UTC; paul
 Author: Paul Staab [aut, cre, cph],
   Dirk Metzler [ths]
 Maintainer: Paul Staab <develop@paulstaab.de>
 Repository: CRAN
-Date/Publication: 2015-07-17 12:44:37
+Date/Publication: 2015-11-11 16:34:30

## coala 0.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: coala
-Version: 0.2.0
-Date: 2015-11-11
+Version: 0.2.1
+Date: 2015-11-17
 License: MIT + file LICENSE
 Title: A Framework for Coalescent Simulation
 Authors@R: c(
@@ -11,15 +11,15 @@
 URL: https://github.com/statgenlmu/coala
 Description: Coalescent simulators can rapidly simulate biological sequences
     evolving according to a given model of evolution.
-    This package allows to specify such models, transparently calls a suitable
-    simulator, parses the results and calculates additional summary statistics.
-    It supports the simulators 'ms', 'msms' and 'scrm' and can simulate
-    finite-sites mutation models by combining the simulators with the program
-    'seq-gen'.
+    You can use this package to specify such models, to conduct the simulations
+    and to calculate additional statistics from the results.
+    It relies on existing simulators for doing the simulation, and currently
+    supports the programs 'ms', 'msms' and 'scrm'. It also supports finite-sites 
+    mutation models by combining the simulators with the program 'seq-gen'.
 Depends: R (>= 3.1.0)
 Imports: assertthat (>= 0.1), methods, parallel, R6 (>= 2.0.1), Rcpp
         (>= 0.11.0), rehh (>= 1.11), scrm (>= 1.6.0-2), stats, utils
-Suggests: abc (>= 2.0), knitr, rmarkdown, testthat (>= 0.10.0)
+Suggests: abc (>= 2.0), knitr, rmarkdown, testthat (>= 0.11.0)
 LinkingTo: Rcpp, RcppArmadillo (>= 0.3.810.0)
 VignetteBuilder: knitr
 Collate: 'RcppExports.R' 'cache.R' 'coala.R' 'feature.R'
@@ -42,9 +42,9 @@
         'sumstat_trees.R' 'tempfile.R'
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2015-11-11 11:26:58 UTC; paul
+Packaged: 2015-11-17 10:40:19 UTC; paul
 Author: Paul Staab [aut, cre, cph],
   Dirk Metzler [ths]
 Maintainer: Paul Staab <develop@paulstaab.de>
 Repository: CRAN
-Date/Publication: 2015-11-11 16:34:30
+Date/Publication: 2015-11-17 15:25:31

## coala 0.3.0

=== DESCRIPTION ===
Package: coala
Version: 0.3.0
Date: 2015-12-20
License: MIT + file LICENSE
Title: A Framework for Coalescent Simulation
Authors@R: c(
    person('Paul', 'Staab', , 'develop@paulstaab.de', role=c('aut', 'cre')),
    person('Dirk', 'Metzler', , 'metzler@bio.lmu.de', role=c('aut', 'ths'))
    )
BugReports: https://github.com/statgenlmu/coala/issues
URL: https://github.com/statgenlmu/coala
Description: Coalescent simulators can rapidly simulate biological sequences
    evolving according to a given model of evolution.
    You can use this package to specify such models, to conduct the simulations
    and to calculate additional statistics from the results.
    It relies on existing simulators for doing the simulation, and currently
    supports the programs 'ms', 'msms' and 'scrm'. It also supports finite-sites
    mutation models by combining the simulators with the program 'seq-gen'.
Depends: R (>= 3.1.0)
Imports: assertthat (>= 0.1), methods, parallel, R6 (>= 2.0.1), Rcpp
        (>= 0.11.0), rehh (>= 1.11), scrm (>= 1.6.0-2), stats, utils
Suggests: abc (>= 2.0), knitr, PopGenome (>= 2.1.0), phyclust (>=
        0.1-16), rmarkdown, testthat (>= 0.11.0)
LinkingTo: Rcpp, RcppArmadillo (>= 0.3.810.0)
VignetteBuilder: knitr
Collate: 'RcppExports.R' 'cache.R' 'coala.R' 'feature.R'
        'feature_growth.R' 'feature_ignore_singletons.R'
        'feature_migration.R' 'feature_mutation.R' 'feature_outgroup.R'
        'feature_pop_merge.R' 'feature_recombination.R'
        'feature_sample.R' 'feature_selection.R'
        'feature_size_change.R' 'feature_sumstats.R'
        'feature_unphased.R' 'import_popgenome.R' 'locus.R' 'model.R'
        'model_build.R' 'model_check.R' 'model_examples.R'
        'model_getters.R' 'model_print.R' 'model_scale.R'
        'model_simulate.R' 'onLoad.R' 'par_zero_inflation.R'
        'parameter.R' 'parameter_prior.R' 'parameter_variation.R'
        'sample_seed.R' 'search_executable.R' 'segsites.R'
        'simulator_class.R' 'simulator_ms.R' 'simulator_msms.R'
        'simulator_scrm.R' 'simulator_seqgen.R' 'sumstat.R'
        'sumstat_dna.R' 'sumstat_file.R' 'sumstat_four_gamete.R'
        'sumstat_ihh.R' 'sumstat_jsfs.R' 'sumstat_mcmf.R'
        'sumstat_nucleotide_div.R' 'sumstat_omega.R'
        'sumstat_seg_sites.R' 'sumstat_sfs.R' 'sumstat_tajimas_d.R'
        'sumstat_trees.R' 'tools.R'
RoxygenNote: 5.0.1
NeedsCompilation: yes
Packaged: 2015-12-21 10:29:32 UTC; paul
Author: Paul Staab [aut, cre],
  Dirk Metzler [aut, ths]
Maintainer: Paul Staab <develop@paulstaab.de>
Repository: CRAN
Date/Publication: 2015-12-21 12:16:26

## coala 0.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Package: coala
-Version: 0.3.0
-Date: 2015-12-20
+Version: 0.4.0
 License: MIT + file LICENSE
 Title: A Framework for Coalescent Simulation
 Authors@R: c(
@@ -23,17 +22,17 @@
         0.1-16), rmarkdown, testthat (>= 0.11.0)
 LinkingTo: Rcpp, RcppArmadillo (>= 0.3.810.0)
 VignetteBuilder: knitr
-Collate: 'RcppExports.R' 'cache.R' 'coala.R' 'feature.R'
+Collate: 'RcppExports.R' 'cache.R' 'coala.R' 'model.R' 'feature.R'
         'feature_growth.R' 'feature_ignore_singletons.R'
         'feature_migration.R' 'feature_mutation.R' 'feature_outgroup.R'
         'feature_pop_merge.R' 'feature_recombination.R'
         'feature_sample.R' 'feature_selection.R'
         'feature_size_change.R' 'feature_sumstats.R'
-        'feature_unphased.R' 'import_popgenome.R' 'locus.R' 'model.R'
-        'model_build.R' 'model_check.R' 'model_examples.R'
+        'feature_unphased.R' 'import_popgenome.R' 'interface_abc.R'
+        'locus.R' 'model_build.R' 'model_check.R' 'model_examples.R'
         'model_getters.R' 'model_print.R' 'model_scale.R'
-        'model_simulate.R' 'onLoad.R' 'par_zero_inflation.R'
-        'parameter.R' 'parameter_prior.R' 'parameter_variation.R'
+        'model_simulate.R' 'onLoad.R' 'parameter.R' 'parameter_prior.R'
+        'parameter_variation.R' 'parameter_zero_inflation.R'
         'sample_seed.R' 'search_executable.R' 'segsites.R'
         'simulator_class.R' 'simulator_ms.R' 'simulator_msms.R'
         'simulator_scrm.R' 'simulator_seqgen.R' 'sumstat.R'
@@ -44,9 +43,9 @@
         'sumstat_trees.R' 'tools.R'
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2015-12-21 10:29:32 UTC; paul
+Packaged: 2016-02-06 10:29:07 UTC; paul
 Author: Paul Staab [aut, cre],
   Dirk Metzler [aut, ths]
 Maintainer: Paul Staab <develop@paulstaab.de>
 Repository: CRAN
-Date/Publication: 2015-12-21 12:16:26
+Date/Publication: 2016-02-06 12:17:38

## coala 0.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: coala
-Version: 0.4.0
+Version: 0.4.1
 License: MIT + file LICENSE
 Title: A Framework for Coalescent Simulation
 Authors@R: c(
@@ -17,7 +17,7 @@
     mutation models by combining the simulators with the program 'seq-gen'.
 Depends: R (>= 3.1.0)
 Imports: assertthat (>= 0.1), methods, parallel, R6 (>= 2.0.1), Rcpp
-        (>= 0.11.0), rehh (>= 1.11), scrm (>= 1.6.0-2), stats, utils
+        (>= 0.11.0), rehh (>= 2.0.0), scrm (>= 1.6.0-2), stats, utils
 Suggests: abc (>= 2.0), knitr, PopGenome (>= 2.1.0), phyclust (>=
         0.1-16), rmarkdown, testthat (>= 0.11.0)
 LinkingTo: Rcpp, RcppArmadillo (>= 0.3.810.0)
@@ -43,9 +43,9 @@
         'sumstat_trees.R' 'tools.R'
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2016-02-06 10:29:07 UTC; paul
+Packaged: 2016-08-03 18:29:31 UTC; paul
 Author: Paul Staab [aut, cre],
   Dirk Metzler [aut, ths]
 Maintainer: Paul Staab <develop@paulstaab.de>
 Repository: CRAN
-Date/Publication: 2016-02-06 12:17:38
+Date/Publication: 2016-08-04 00:59:21

## coala 0.5.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: coala
-Version: 0.4.1
+Version: 0.5.0
 License: MIT + file LICENSE
 Title: A Framework for Coalescent Simulation
 Authors@R: c(
     person('Paul', 'Staab', , 'develop@paulstaab.de', role=c('aut', 'cre')),
-    person('Dirk', 'Metzler', , 'metzler@bio.lmu.de', role=c('aut', 'ths'))
-    )
+    person('Dirk', 'Metzler', , 'metzler@bio.lmu.de', role=c('aut', 'ths')),
+    person('Jorge E.', 'Amaya Romero', role = 'ctb'))
 BugReports: https://github.com/statgenlmu/coala/issues
 URL: https://github.com/statgenlmu/coala
 Description: Coalescent simulators can rapidly simulate biological sequences
@@ -16,8 +16,9 @@
     supports the programs 'ms', 'msms' and 'scrm'. It also supports finite-sites
     mutation models by combining the simulators with the program 'seq-gen'.
 Depends: R (>= 3.1.0)
-Imports: assertthat (>= 0.1), methods, parallel, R6 (>= 2.0.1), Rcpp
-        (>= 0.11.0), rehh (>= 2.0.0), scrm (>= 1.6.0-2), stats, utils
+Imports: assertthat (>= 0.1), digest, methods, parallel, R6 (>= 2.0.1),
+        Rcpp (>= 0.11.0), rehh (>= 2.0.0), scrm (>= 1.6.0-2), stats,
+        utils
 Suggests: abc (>= 2.0), knitr, PopGenome (>= 2.1.0), phyclust (>=
         0.1-16), rmarkdown, testthat (>= 0.11.0)
 LinkingTo: Rcpp, RcppArmadillo (>= 0.3.810.0)
@@ -33,7 +34,7 @@
         'model_getters.R' 'model_print.R' 'model_scale.R'
         'model_simulate.R' 'onLoad.R' 'parameter.R' 'parameter_prior.R'
         'parameter_variation.R' 'parameter_zero_inflation.R'
-        'sample_seed.R' 'search_executable.R' 'segsites.R'
+        'search_executable.R' 'segsites.R' 'simulation_tasks.R'
         'simulator_class.R' 'simulator_ms.R' 'simulator_msms.R'
         'simulator_scrm.R' 'simulator_seqgen.R' 'sumstat.R'
         'sumstat_dna.R' 'sumstat_file.R' 'sumstat_four_gamete.R'
@@ -43,9 +44,10 @@
         'sumstat_trees.R' 'tools.R'
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2016-08-03 18:29:31 UTC; paul
+Packaged: 2016-12-29 13:24:59 UTC; paul
 Author: Paul Staab [aut, cre],
-  Dirk Metzler [aut, ths]
+  Dirk Metzler [aut, ths],
+  Jorge E. Amaya Romero [ctb]
 Maintainer: Paul Staab <develop@paulstaab.de>
 Repository: CRAN
-Date/Publication: 2016-08-04 00:59:21
+Date/Publication: 2016-12-29 16:17:25

## coala 0.5.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: coala
-Version: 0.5.0
+Version: 0.5.2
 License: MIT + file LICENSE
 Title: A Framework for Coalescent Simulation
 Authors@R: c(
@@ -42,12 +42,12 @@
         'sumstat_nucleotide_div.R' 'sumstat_omega.R'
         'sumstat_seg_sites.R' 'sumstat_sfs.R' 'sumstat_tajimas_d.R'
         'sumstat_trees.R' 'tools.R'
-RoxygenNote: 5.0.1
+RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2016-12-29 13:24:59 UTC; paul
+Packaged: 2017-10-30 15:42:59 UTC; paul
 Author: Paul Staab [aut, cre],
   Dirk Metzler [aut, ths],
   Jorge E. Amaya Romero [ctb]
 Maintainer: Paul Staab <develop@paulstaab.de>
 Repository: CRAN
-Date/Publication: 2016-12-29 16:17:25
+Date/Publication: 2017-10-30 15:56:43 UTC

## coala 0.5.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: coala
-Version: 0.5.2
+Version: 0.5.3
 License: MIT + file LICENSE
 Title: A Framework for Coalescent Simulation
 Authors@R: c(
@@ -17,7 +17,7 @@
     mutation models by combining the simulators with the program 'seq-gen'.
 Depends: R (>= 3.1.0)
 Imports: assertthat (>= 0.1), digest, methods, parallel, R6 (>= 2.0.1),
-        Rcpp (>= 0.11.0), rehh (>= 2.0.0), scrm (>= 1.6.0-2), stats,
+        Rcpp (>= 0.11.0), rehh (>= 3.0.0), scrm (>= 1.6.0-2), stats,
         utils
 Suggests: abc (>= 2.0), knitr, PopGenome (>= 2.1.0), phyclust (>=
         0.1-16), rmarkdown, testthat (>= 0.11.0)
@@ -42,12 +42,12 @@
         'sumstat_nucleotide_div.R' 'sumstat_omega.R'
         'sumstat_seg_sites.R' 'sumstat_sfs.R' 'sumstat_tajimas_d.R'
         'sumstat_trees.R' 'tools.R'
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.1
 NeedsCompilation: yes
-Packaged: 2017-10-30 15:42:59 UTC; paul
+Packaged: 2019-07-09 19:30:39 UTC; paul
 Author: Paul Staab [aut, cre],
   Dirk Metzler [aut, ths],
   Jorge E. Amaya Romero [ctb]
 Maintainer: Paul Staab <develop@paulstaab.de>
 Repository: CRAN
-Date/Publication: 2017-10-30 15:56:43 UTC
+Date/Publication: 2019-07-09 20:11:56 UTC

## coala 0.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: coala
-Version: 0.5.3
+Version: 0.6.0
 License: MIT + file LICENSE
 Title: A Framework for Coalescent Simulation
 Authors@R: c(
@@ -19,8 +19,8 @@
 Imports: assertthat (>= 0.1), digest, methods, parallel, R6 (>= 2.0.1),
         Rcpp (>= 0.11.0), rehh (>= 3.0.0), scrm (>= 1.6.0-2), stats,
         utils
-Suggests: abc (>= 2.0), knitr, PopGenome (>= 2.1.0), phyclust (>=
-        0.1-16), rmarkdown, testthat (>= 0.11.0)
+Suggests: abc (>= 2.0), knitr, phyclust (>= 0.1-16), rmarkdown,
+        testthat (>= 0.11.0)
 LinkingTo: Rcpp, RcppArmadillo (>= 0.3.810.0)
 VignetteBuilder: knitr
 Collate: 'RcppExports.R' 'cache.R' 'coala.R' 'model.R' 'feature.R'
@@ -29,8 +29,8 @@
         'feature_pop_merge.R' 'feature_recombination.R'
         'feature_sample.R' 'feature_selection.R'
         'feature_size_change.R' 'feature_sumstats.R'
-        'feature_unphased.R' 'import_popgenome.R' 'interface_abc.R'
-        'locus.R' 'model_build.R' 'model_check.R' 'model_examples.R'
+        'feature_unphased.R' 'interface_abc.R' 'locus.R'
+        'model_build.R' 'model_check.R' 'model_examples.R'
         'model_getters.R' 'model_print.R' 'model_scale.R'
         'model_simulate.R' 'onLoad.R' 'parameter.R' 'parameter_prior.R'
         'parameter_variation.R' 'parameter_zero_inflation.R'
@@ -42,12 +42,12 @@
         'sumstat_nucleotide_div.R' 'sumstat_omega.R'
         'sumstat_seg_sites.R' 'sumstat_sfs.R' 'sumstat_tajimas_d.R'
         'sumstat_trees.R' 'tools.R'
-RoxygenNote: 6.1.1
+RoxygenNote: 7.0.2
 NeedsCompilation: yes
-Packaged: 2019-07-09 19:30:39 UTC; paul
+Packaged: 2020-01-19 13:02:55 UTC; paul
 Author: Paul Staab [aut, cre],
   Dirk Metzler [aut, ths],
   Jorge E. Amaya Romero [ctb]
 Maintainer: Paul Staab <develop@paulstaab.de>
 Repository: CRAN
-Date/Publication: 2019-07-09 20:11:56 UTC
+Date/Publication: 2020-01-19 17:40:06 UTC

## coala 0.6.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,17 +1,21 @@
 Package: coala
-Version: 0.6.0
+Version: 0.6.1
 License: MIT + file LICENSE
 Title: A Framework for Coalescent Simulation
 Authors@R: c(
-    person('Paul', 'Staab', , 'develop@paulstaab.de', role=c('aut', 'cre')),
-    person('Dirk', 'Metzler', , 'metzler@bio.lmu.de', role=c('aut', 'ths')),
+    person('Paul', 'Staab', , 'develop@paulstaab.de', role=c('aut')),
+    person('Dirk', 'Metzler', , 'metzler@bio.lmu.de', role=c('aut', 'ths', 'cre')),
     person('Jorge E.', 'Amaya Romero', role = 'ctb'))
+Author: Paul Staab [aut],
+  Dirk Metzler [aut, ths, cre],
+  Jorge E. Amaya Romero [ctb]
 BugReports: https://github.com/statgenlmu/coala/issues
 URL: https://github.com/statgenlmu/coala
 Description: Coalescent simulators can rapidly simulate biological sequences
     evolving according to a given model of evolution.
     You can use this package to specify such models, to conduct the simulations
-    and to calculate additional statistics from the results.
+    and to calculate additional statistics from the results (Staab, Metzler,
+    2016 <doi:10.1093/bioinformatics/btw098>).
     It relies on existing simulators for doing the simulation, and currently
     supports the programs 'ms', 'msms' and 'scrm'. It also supports finite-sites
     mutation models by combining the simulators with the program 'seq-gen'.
@@ -44,10 +48,7 @@
         'sumstat_trees.R' 'tools.R'
 RoxygenNote: 7.0.2
 NeedsCompilation: yes
-Packaged: 2020-01-19 13:02:55 UTC; paul
-Author: Paul Staab [aut, cre],
-  Dirk Metzler [aut, ths],
-  Jorge E. Amaya Romero [ctb]
-Maintainer: Paul Staab <develop@paulstaab.de>
+Packaged: 2022-02-14 14:43:03 UTC; dirk
+Maintainer: Dirk Metzler <metzler@bio.lmu.de>
 Repository: CRAN
-Date/Publication: 2020-01-19 17:40:06 UTC
+Date/Publication: 2022-02-14 15:40:06 UTC

## coala 0.7.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: coala
-Version: 0.6.1
+Version: 0.7.0
 License: MIT + file LICENSE
 Title: A Framework for Coalescent Simulation
 Authors@R: c(
@@ -23,8 +23,8 @@
 Imports: assertthat (>= 0.1), digest, methods, parallel, R6 (>= 2.0.1),
         Rcpp (>= 0.11.0), rehh (>= 3.0.0), scrm (>= 1.6.0-2), stats,
         utils
-Suggests: abc (>= 2.0), knitr, phyclust (>= 0.1-16), rmarkdown,
-        testthat (>= 0.11.0)
+Suggests: abc (>= 2.0), knitr, PopGenome (>= 2.1.0), phyclust (>=
+        0.1-16), rmarkdown, testthat (>= 0.11.0)
 LinkingTo: Rcpp, RcppArmadillo (>= 0.3.810.0)
 VignetteBuilder: knitr
 Collate: 'RcppExports.R' 'cache.R' 'coala.R' 'model.R' 'feature.R'
@@ -33,8 +33,8 @@
         'feature_pop_merge.R' 'feature_recombination.R'
         'feature_sample.R' 'feature_selection.R'
         'feature_size_change.R' 'feature_sumstats.R'
-        'feature_unphased.R' 'interface_abc.R' 'locus.R'
-        'model_build.R' 'model_check.R' 'model_examples.R'
+        'feature_unphased.R' 'import_popgenome.R' 'interface_abc.R'
+        'locus.R' 'model_build.R' 'model_check.R' 'model_examples.R'
         'model_getters.R' 'model_print.R' 'model_scale.R'
         'model_simulate.R' 'onLoad.R' 'parameter.R' 'parameter_prior.R'
         'parameter_variation.R' 'parameter_zero_inflation.R'
@@ -46,9 +46,9 @@
         'sumstat_nucleotide_div.R' 'sumstat_omega.R'
         'sumstat_seg_sites.R' 'sumstat_sfs.R' 'sumstat_tajimas_d.R'
         'sumstat_trees.R' 'tools.R'
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.2
 NeedsCompilation: yes
-Packaged: 2022-02-14 14:43:03 UTC; dirk
+Packaged: 2022-07-22 13:37:24 UTC; dirk
 Maintainer: Dirk Metzler <metzler@bio.lmu.de>
 Repository: CRAN
-Date/Publication: 2022-02-14 15:40:06 UTC
+Date/Publication: 2022-08-05 16:30:02 UTC

## coala 0.7.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: coala
-Version: 0.7.0
+Version: 0.7.1
 License: MIT + file LICENSE
 Title: A Framework for Coalescent Simulation
 Authors@R: c(
@@ -19,6 +19,10 @@
     It relies on existing simulators for doing the simulation, and currently
     supports the programs 'ms', 'msms' and 'scrm'. It also supports finite-sites
     mutation models by combining the simulators with the program 'seq-gen'.
+    Coala provides functions for calculating certain summary statistics, which
+    can also be applied to actual biological data.
+    One possibility to import data is through the 'PopGenome' package
+    (<https://github.com/pievos101/PopGenome>).
 Depends: R (>= 3.1.0)
 Imports: assertthat (>= 0.1), digest, methods, parallel, R6 (>= 2.0.1),
         Rcpp (>= 0.11.0), rehh (>= 3.0.0), scrm (>= 1.6.0-2), stats,
@@ -46,9 +50,9 @@
         'sumstat_nucleotide_div.R' 'sumstat_omega.R'
         'sumstat_seg_sites.R' 'sumstat_sfs.R' 'sumstat_tajimas_d.R'
         'sumstat_trees.R' 'tools.R'
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2022-07-22 13:37:24 UTC; dirk
+Packaged: 2022-12-12 17:09:44 UTC; dirk
 Maintainer: Dirk Metzler <metzler@bio.lmu.de>
 Repository: CRAN
-Date/Publication: 2022-08-05 16:30:02 UTC
+Date/Publication: 2023-01-05 15:20:14 UTC

## coala 0.7.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: coala
-Version: 0.7.1
+Version: 0.7.2
 License: MIT + file LICENSE
 Title: A Framework for Coalescent Simulation
 Authors@R: c(
@@ -50,9 +50,10 @@
         'sumstat_nucleotide_div.R' 'sumstat_omega.R'
         'sumstat_seg_sites.R' 'sumstat_sfs.R' 'sumstat_tajimas_d.R'
         'sumstat_trees.R' 'tools.R'
-RoxygenNote: 7.2.3
+Encoding: UTF-8
+RoxygenNote: 7.3.1
 NeedsCompilation: yes
-Packaged: 2022-12-12 17:09:44 UTC; dirk
+Packaged: 2024-03-04 14:51:03 UTC; dirk
 Maintainer: Dirk Metzler <metzler@bio.lmu.de>
 Repository: CRAN
-Date/Publication: 2023-01-05 15:20:14 UTC
+Date/Publication: 2024-03-04 16:20:17 UTC

## coala 1.0.1

=== CMakeLists.txt ===
PROJECT(Coala)

CMAKE_MINIMUM_REQUIRED(VERSION 2.4)
IF(COMMAND cmake_policy)
	CMAKE_POLICY(SET CMP0003 NEW)
ENDIF(COMMAND cmake_policy)

# set this to FALSE if you want to compile without Flex and Bison++
SET(USE_FLEX_BISON TRUE)

ADD_SUBDIRECTORY(src)

INSTALL(PROGRAMS ${EXECUTABLE_OUTPUT_PATH}/coala DESTINATION .)

=== src/CMakeLists.txt ===
SET(EXECUTABLE_OUTPUT_PATH "${PROJECT_SOURCE_DIR}/bin" CACHE PATH "Single output directory for building all executables." FORCE)
SET(LIBRARY_OUTPUT_PATH "${PROJECT_BINARY_DIR}/lib" CACHE PATH "Single output directory for building all libraries." FORCE)

IF(LINK_STATIC)
	SET(CMAKE_CXX_FLAGS_DEBUG "-g -O0 -Wall -Wno-deprecated -static" CACHE STRING "Flags used by the compiler during debug builds." FORCE)
	SET(CMAKE_CXX_FLAGS_RELEASE   "-O3 -DNDEBUG -Wno-deprecated -static" CACHE STRING "Flags used by the compiler during release builds" FORCE)
	SET(CMAKE_CXX_FLAGS_RELEASE32 "-O3 -DNDEBUG -Wno-deprecated -static -m32" CACHE STRING "Flags used by the compiler during release builds" FORCE)
ELSE(LINK_STATIC)
	SET(CMAKE_CXX_FLAGS_DEBUG "-g -O0 -Wall -Wno-deprecated" CACHE STRING "Flags used by the compiler during debug builds." FORCE)
	SET(CMAKE_CXX_FLAGS_RELEASE   "-O3 -DNDEBUG -Wno-deprecated" CACHE STRING "Flags used by the compiler during release builds" FORCE)
	SET(CMAKE_CXX_FLAGS_RELEASE32 "-O3 -DNDEBUG -Wno-deprecated -m32" CACHE STRING "Flags used by the compiler during release builds" FORCE)
ENDIF(LINK_STATIC)

IF(NOT CMAKE_BUILD_TYPE)
	SET(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

### CPACK ###

SET(CPACK_PACKAGE_NAME "coala")
SET(CPACK_PACKAGE_VERSION_MAJOR "1")
SET(CPACK_PACKAGE_VERSION_MINOR "0")
SET(CPACK_PACKAGE_VERSION_PATCH "1")
SET(CPACK_PACKAGE_FILE_NAME
	"${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET(CPACK_GENERATOR "TGZ")
SET(CPACK_PACKAGE_EXECUTABLES "${PROJECT_SOURCE_DIR}/bin/coala.bin;coala.bin")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
SET(CPACK_SOURCE_GENERATOR "TGZ")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_FILE_NAME}_src")
SET(CPACK_SOURCE_IGNORE_FILES
		"/bin/coala.bin;/Coala.*;/build/[^cT];/build/.[^o];/build/..[^no];//CVS/;/\\\\.svn/;\\\\.swp$;\\\\.#;/\\\#")

IF(CMAKE_BUILD_TYPE STREQUAL "Release32")
  SET(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_FILE_NAME}-gnu32")
ENDIF(CMAKE_BUILD_TYPE STREQUAL "Release32")

INCLUDE(CPack)


ADD_SUBDIRECTORY(lib)
ADD_SUBDIRECTORY(app)

=== src/app/CMakeLists.txt ===
FILE(GLOB COALA_SRC *.cpp program_opts/*.cpp)

ADD_EXECUTABLE(coala-app ${COALA_SRC})

TARGET_LINK_LIBRARIES(coala-app coala-lib)
SET_TARGET_PROPERTIES(coala-app PROPERTIES OUTPUT_NAME coala.bin)

INSTALL(TARGETS coala-app RUNTIME DESTINATION .)

=== src/lib/CMakeLists.txt ===
SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/CMakeModules")

IF(USE_FLEX_BISON)
	SET(BISON_GENERATE_DEFINES TRUE)
	INCLUDE(UseFlex)
	INCLUDE(UseBison++)
ENDIF(USE_FLEX_BISON)

ADD_LIBRARY(coala-lib STATIC main.cpp options.cpp)
TARGET_LINK_LIBRARIES(coala-lib coala-c-lib coala-b-lib coala-c_taid-lib)
SET_TARGET_PROPERTIES(coala-lib PROPERTIES OUTPUT_NAME coala)

ADD_SUBDIRECTORY(c)
ADD_SUBDIRECTORY(b)
ADD_SUBDIRECTORY(c_taid)

=== src/lib/b/CMakeLists.txt ===
IF(USE_FLEX_BISON)
	FLEX_FILE(Scanner.l)
	BISON_FILE(Parser.y)
ENDIF(USE_FLEX_BISON)

FILE(GLOB COALA_B_LIB_SRC *.cpp)

ADD_LIBRARY(coala-b-lib STATIC ${COALA_B_LIB_SRC} Parser.cpp Scanner.cpp)
SET_TARGET_PROPERTIES(coala-b-lib PROPERTIES OUTPUT_NAME coala-b)

=== src/lib/c/CMakeLists.txt ===
IF(USE_FLEX_BISON)
	FLEX_FILE(Scanner.l)
	BISON_FILE(Parser.y)
ENDIF(USE_FLEX_BISON)

FILE(GLOB COALA_C_LIB_SRC *.cpp)

ADD_LIBRARY(coala-c-lib STATIC ${COALA_C_LIB_SRC} Parser.cpp Scanner.cpp)
SET_TARGET_PROPERTIES(coala-c-lib PROPERTIES OUTPUT_NAME coala-c)

=== src/lib/c_taid/CMakeLists.txt ===
IF(USE_FLEX_BISON)
	FLEX_FILE(scanner.l)
	BISON_FILE(parser.y)
ENDIF(USE_FLEX_BISON)

ADD_LIBRARY(coala-c_taid-lib STATIC scanner.cpp parser.cpp compiler.cpp)

SET_TARGET_PROPERTIES(coala-c_taid-lib PROPERTIES OUTPUT_NAME coala-c_taid)

=== debian/changelog ===
coala (1.0.1-5) unstable; urgency=low

  * control: Setup as Debian Science project.
    - Set Maintainer to Debian Science Maintainers and Uploaders to Thomas
      Krennwallner.
    - Set DM-Upload-Allowed to yes.
    - Convert bzr repository to git and use Vcs-Git and Vcs-Browser.
      accourdingly.
    - Build-Depends on debhelper >= 8.0.0.
  * watch: Check SF downloads.
  * patches/coala-makefile.patch,patches/series: Remove
    coala-makefile.patch.
  * install: Install coala and coala.bin.
  * rules: Override configure, build, and clean.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Mon, 05 Sep 2011 07:53:29 +0200

coala (1.0.1-4~natty1) natty; urgency=low

  * watch: Fix lintian debian-watch-contains-dh_make-template.
  * control: Lower Priority to extra and bump Standards-Version to 3.9.2.
  * copyright: Use DEP5 format and add missing copyright statements.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Fri, 29 Apr 2011 07:05:44 +0200

coala (1.0.1-3) unstable; urgency=low

  * Initial upload (Closes: #605881)

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 05 Dec 2010 18:02:12 +0100

coala (1.0.1-2) unstable; urgency=low

  * Upload to mentors.debian.net.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sat, 20 Nov 2010 09:59:02 +0100

coala (1.0.1-1~maverick1) maverick; urgency=low

  * New upstream release.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Fri, 12 Nov 2010 06:40:26 +0100

coala (1.0.0-2~maverick1) maverick; urgency=low

  * Tag distro-series.

  * Bump Standards-Version.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 10 Oct 2010 15:15:37 +0200

coala (1.0.0-1) lucid; urgency=low

  * Initial release

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Fri, 08 Oct 2010 07:02:17 +0200

=== debian/control ===
Source: coala
Section: interpreters
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8.0.0),
 cmake,
 bison++,
 flex
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/debian-science/packages/coala.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/coala.git
Homepage: http://www.cs.uni-potsdam.de/wv/coala/

Package: coala
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python
Recommends: gringo, clasp
Description: translates action languages into answer set programs
 The coala tool translates an action language into a logic program
 under the answer set semantics. After being grounded by lparse or
 gringo, the logic program can be solved by an answer set solver such
 as clasp. At the moment coala is able to translate the action
 language AL, B, C, a subset of C+ and the action language CTAID. The
 type of input language can be specified with a command line option.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	cd build && ./configure --prefix=/usr

override_dh_auto_build:
	$(MAKE) -C build

override_dh_auto_clean:
	rm -rf bin/coala.bin
	find build -mindepth 1 -type f | grep -v configure | xargs rm -fv
	find build -mindepth 1 -maxdepth 1 -type d -exec rm -rf {} \;

=== debian/watch ===
# watch control file for uscan

# Compulsory line, this is a version 3 file
version=3

# qa.debian.org runs a redirector which allows a simpler form of URL
# for SourceForge based projects. The format below will automatically
# be rewritten to use the redirector.
http://sf.net/potassco/coala-([\d\.]+)_src\.tar\.gz

## coala utils-0.6.0

=== requirements.txt ===
appdirs==1.4.*
pyprint==0.2.*
